Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1701 - gnome-pty-helper's Unix98 pty support is broken.
Summary: gnome-pty-helper's Unix98 pty support is broken.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-23 20:10 UTC by Bill Nottingham
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-24 16:57:43 UTC


Attachments (Terms of Use)

Description Bill Nottingham 1999-03-23 20:10:17 UTC
It creates /dev/pts entries owned by root,
not by the actual user. This causes problems
later on when you try to write to your
own terminal...

Comment 1 Bill Nottingham 1999-03-23 20:46:59 UTC
The following patch should fix it:
--- gnome-libs-1.0.3/zvt/gnome-pty-helper.c.orig	Tue Mar 23 15:36:14
1999+++ gnome-libs-1.0.3/zvt/gnome-pty-helper.c	Tue Mar 23 15:41:11
1999
@@ -284,7 +284,11 @@
 		exit (1);
 	}

+        setegid(pwent->pw_gid);
+        seteuid(pwent->pw_uid);
 	status = openpty (&master_pty, &slave_pty, term_name, NULL, NULL);
+        setuid(getuid());
+        setgid(getgid());
 	if (status == -1){
 		result = 0;
 		write (STDIN_FILENO, &result, sizeof (result));

Comment 2 Michael Fulbright 1999-03-24 16:57:59 UTC
I will be using the patch supplied when building gnome-core,
and I have submitted the patch to the GNOME developers.


Note You need to log in before you can comment on or make changes to this bug.